## ros-noetic-eus-assimp 0.4.4

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(eus_assimp)

# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS euslisp)

set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:${CATKIN_DEVEL_PREFIX}/lib/pkgconfig")

find_package(PkgConfig)
pkg_check_modules(assimpdevel assimp_devel REQUIRED)
# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_add_boost_directories()
if(NOT euslisp_INCLUDE_DIRS)
  if(EXISTS ${euslisp_SOURCE_DIR}/jskeus)
    set(euslisp_PACKAGE_PATH ${euslisp_SOURCE_DIR})
  else()
    set(euslisp_PACKAGE_PATH ${euslisp_PREFIX}/share/euslisp)
  endif()
  message("-- Set euslisp_PACKAGE_PATH to ${euslisp_PACKAGE_PATH}")
  set(euslisp_INCLUDE_DIRS ${euslisp_PACKAGE_PATH}/jskeus/eus/include)
endif()
message("-- Set euslisp_INCLUDE_DIRS to ${euslisp_INCLUDE_DIRS}")
include_directories(/usr/include /usr/X11R6/include ${euslisp_INCLUDE_DIRS} ${assimpdevel_INCLUDE_DIRS})
link_directories(${assimpdevel_LIBRARY_DIRS})
add_library(eus_assimp src/eus_assimp.cpp)

target_link_libraries(eus_assimp ${assimpdevel_LIBRARIES})
set_target_properties(eus_assimp PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/euslisp)
add_dependencies(eus_assimp libassimp_devel)

# compile flags
add_definitions(-O2 -Wno-write-strings -Wno-comment)
add_definitions(-Di486 -DLinux -D_REENTRANT -DVERSION='\"9.00\"' -DTHREADED -DPTHREAD -DX11R6_1)
add_definitions('-DREPOVERSION="\\"${REPOVERSION}\\""')
if(${CMAKE_SYSTEM_PROCESSOR} MATCHES amd64* OR
   ${CMAKE_SYSTEM_PROCESSOR} MATCHES x86_64* OR
   ${CMAKE_SYSTEM_PROCESSOR} MATCHES aarch64* )
 add_definitions(-Dx86_64)
else()
 add_definitions(-Di486)
endif()

## for image file loading using SDL
pkg_check_modules (SDLIMG SDL_image)
if(SDLIMG_FOUND)
#  message(STATUS "SDL_image found")
  add_definitions(-DUSE_SDL_IMAGE=1)
  add_definitions(${SDLIMG_CFLAGS_OTHER})
  include_directories(${SDLIMG_INCLUDE_DIRS})
  target_link_libraries(eus_assimp ${SDLIMG_LIBRARIES})
endif(SDLIMG_FOUND)

if(${CMAKE_SYSTEM_NAME} MATCHES Darwin)
 add_definitions(-Dx86_64)
 set(CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS "${CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS} -flat_namespace -undefined suppress")
endif()

set_target_properties(eus_assimp PROPERTIES PREFIX "" SUFFIX ".so")

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
    DEPENDS
    CATKIN_DEPENDS # euslisp TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES assimp_devel # TODO
)

# install
install(DIRECTORY euslisp
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-noetic-eus-assimp (0.4.4-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 11 May 2022 15:00:00 -0000

ros-noetic-eus-assimp (0.4.3-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 04 Dec 2018 15:00:00 -0000

ros-noetic-eus-assimp (0.4.2-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 03 Sep 2018 15:00:00 -0000

ros-noetic-eus-assimp (0.4.1-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 31 Jul 2018 15:00:00 -0000

ros-noetic-eus-assimp (0.4.0-2focal) focal; urgency=high

  * since euslisp 9.25.0, we need to add 5 arguments including doc string with defun() (#217 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/217>)
  * [eus_assimp] add use-coordinate option to append-vertices in order to express all the vertices respect to world frame (#210 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/210>)
  * [eus_assimp] need to set faces before calling gl::make-glvertices-fro (#208 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/208>)
  * Fix for arm processor (#209 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/209>)
    * fix for arm64/v8 aarch64 is 64bit
  * [eus_assimp] mesh2wrl.sh: add utility scripts  (#206 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/206>)
  * Contributors: Eisoku Kuroiwa, Kei Okada, Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Jul 2018 15:00:00 -0000

ros-noetic-eus-assimp (0.3.5-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 15:00:00 -0000

ros-noetic-eus-assimp (0.3.4-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-noetic-eus-assimp (0.3.3-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 17 Feb 2017 15:00:00 -0000

ros-noetic-eus-assimp (0.3.2-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 17 Feb 2017 15:00:00 -0000

ros-noetic-eus-assimp (0.3.1-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 17 Feb 2017 15:00:00 -0000

ros-noetic-eus-assimp (0.3.0-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sun, 15 Jan 2017 15:00:00 -0000

ros-noetic-eus-assimp (0.2.5-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 17 Oct 2016 15:00:00 -0000

ros-noetic-eus-assimp (0.2.4-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Fri, 29 Apr 2016 15:00:00 -0000

ros-noetic-eus-assimp (0.2.3-2focal) focal; urgency=high

  * [eus_assimp] fix function name
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 30 Dec 2015 15:00:00 -0000

ros-noetic-eus-assimp (0.2.2-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 10 Dec 2015 15:00:00 -0000

ros-noetic-eus-assimp (0.2.1-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 26 Nov 2015 15:00:00 -0000

ros-noetic-eus-assimp (0.2.0-2focal) focal; urgency=high

  * move to 0.2.0, which only available from indigo
  * [eus_assimp] Add .gitignore
  * Contributors: Kentaro Wada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-noetic-eus-assimp (0.1.13-2focal) focal; urgency=high

  * move functions to jskeus
  * add function for glvertices
  * fix minor bugs
  * move functions to jskeus
  * add dump-glvertices-to-wrl for creating wrl mesh file from glvertices
  * 0.1.12
  * update CHANGELOG (For releasing 0.1.12 DRC Final version)
  * [jsk_model_tools] remove old rosmake files
  * Contributors: Kei Okada, Yohei Kakiuchi, Iori Yanokura

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Mon, 31 Aug 2015 15:00:00 -0000

ros-noetic-eus-assimp (0.1.12-2focal) focal; urgency=high

  * [jsk_model_tools] remove old rosmake files
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 06 May 2015 15:00:00 -0000

ros-noetic-eus-assimp (0.1.11-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 08 Apr 2015 15:00:00 -0000

ros-noetic-eus-assimp (0.1.10-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 01 Apr 2015 15:00:00 -0000

ros-noetic-eus-assimp (0.1.9-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 31 Mar 2015 15:00:00 -0000

ros-noetic-eus-assimp (0.1.8-2focal) focal; urgency=high

  * fix for new euslisp layout
  * eus_assimp: build_depend on pkg-config
  * Contributors: Scott K Logan, Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Tue, 06 Jan 2015 15:00:00 -0000

ros-noetic-eus-assimp (0.1.7-2focal) focal; urgency=high

  * fix parsing file extention, in order to use .stlb extention for exporting mesh as STL Binary format
  * use tiff file for texture
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Thu, 18 Dec 2014 15:00:00 -0000

ros-noetic-eus-assimp (0.1.6-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sun, 29 Jun 2014 15:00:00 -0000

ros-noetic-eus-assimp (0.1.5-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 28 Jun 2014 15:00:00 -0000

ros-noetic-eus-assimp (0.1.4-2focal) focal; urgency=high

  * update convex-decomposition parameters
  * add include directory for SDL
  * using SDL in hydro if exists
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Sat, 14 Jun 2014 15:00:00 -0000

ros-noetic-eus-assimp (0.1.3-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>  Wed, 30 Apr 2014 15:00:00 -0000

ros-noetic-eus-assimp (0.1.2-2focal) focal; urgency=high



=== debian/control ===
Source: ros-noetic-eus-assimp
Section: misc
Priority: optional
Maintainer: Yohei Kakiuchi <youhei@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-noetic-assimp-devel, ros-noetic-catkin, ros-noetic-euslisp (>= 9.25.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-eus-assimp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-assimp-devel, ros-noetic-roseus (>= 1.7.1)
Description: eus_assimp
